<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [GoOpponent](./bitburner.goopponent.md)

## GoOpponent type


**Signature:**

```typescript
type GoOpponent =
  | "No AI"
  | "Netburners"
  | "Slum Snakes"
  | "The Black Hand"
  | "Tetrads"
  | "Daedalus"
  | "Illuminati"
  | "????????????";
```
